asterixdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ian Maxon <ima...@uci.edu>
Subject If RAT complains after you just pulled from master..
Date Tue, 15 Sep 2015 23:03:06 GMT
The old Hadoop 1.x compatibility/emulation layer that has been
deprecated for a long while now got removed just now from the working
tree in Hyracks master. If you pull that change and then try to build,
and mvn fails with RAT complaining like this:
---
 Unapproved licenses:

  .../hyracks/hyracks/hyracks-hadoop-compat/.classpath
  .../hyracks/hyracks/hyracks-hadoop-compat/.project
  .../hyracks/hyracks/hyracks-hadoop-compat/.settings/org.eclipse.core.resources.prefs
---
Then all you need to do is just remove the 'hyracks-hadoop-compat'
folder under hyracks and hyracks-examples/ . Git generally is lazy and
doesn't delete things from the index as long as they're active in some
revision.

Thanks,
-Ian

Mime
View raw message